[versions]

compose = "1.6.0"
composeCompiler = "1.5.8"
composeMaterial3 = "1.0.1"
composesnapshot = "-" # a single character = no snapshot

dokka = "1.8.10"

# gradlePlugin and lint need to be updated together
gradlePlugin = "8.2.2"
lintMinCompose = "30.0.0"

ktlint = "0.45.2"
kotlin = "1.9.22"
coroutines = "1.6.4"
okhttp = "3.12.13"
coil = "1.3.2"

androidlint = "25.3.0"
androidxtest = "1.4.0"
androidxnavigation = "2.7.0-alpha01"
androidxWindow = "1.0.0"

metalava = "0.3.2"
vanniktechPublish = "0.25.2"

[libraries]
compose-ui-ui = { module = "androidx.compose.ui:ui", version.ref = "compose" }
compose-ui-util = { module = "androidx.compose.ui:ui-util", version.ref = "compose" }
compose-ui-tooling = { module = "androidx.compose.ui:ui-tooling", version.ref = "compose" }
compose-ui-tooling-preview = { module = "androidx.compose.ui:ui-tooling-preview", version.ref = "compose" }
compose-ui-test-junit4 = { module = "androidx.compose.ui:ui-test-junit4", version.ref = "compose" }
compose-ui-test-manifest = { module = "androidx.compose.ui:ui-test-manifest", version.ref = "compose" }
compose-foundation-foundation = { module = "androidx.compose.foundation:foundation", version.ref = "compose" }
compose-foundation-layout = { module = "androidx.compose.foundation:foundation-layout", version.ref = "compose" }
compose-material-material = { module = "androidx.compose.material:material", version.ref = "compose" }
compose-material-iconsext = { module = "androidx.compose.material:material-icons-extended", version.ref = "compose" }
compose-material3-material3 = { module = "androidx.compose.material3:material3", version.ref = "composeMaterial3" }
compose-animation-animation = { module = "androidx.compose.animation:animation", version.ref = "compose" }

snapper = "dev.chrisbanes.snapper:snapper:0.2.2"

android-gradlePlugin = { module = "com.android.tools.build:gradle", version.ref = "gradlePlugin" }
gradleMavenPublishPlugin = { module = "com.vanniktech:gradle-maven-publish-plugin", version.ref = "vanniktechPublish" }
metalavaGradle = { module = "me.tylerbwong.gradle.metalava:plugin", version.ref = "metalava" }

glide = "com.github.bumptech.glide:glide:4.12.0"

kotlin-stdlib = { module = "org.jetbrains.kotlin:kotlin-stdlib", version.ref = "kotlin" }
kotlin-stdlibJdk8 = { module = "org.jetbrains.kotlin:kotlin-stdlib-jdk8", version.ref = "kotlin" }
kotlin-gradlePlugin = { module = "org.jetbrains.kotlin:kotlin-gradle-plugin", version.ref = "kotlin" }
kotlin-reflect = { module = "org.jetbrains.kotlin:kotlin-reflect", version.ref = "kotlin" }
kotlin-metadataJvm = "org.jetbrains.kotlinx:kotlinx-metadata-jvm:0.3.0"

kotlin-coroutines-android = { module = "org.jetbrains.kotlinx:kotlinx-coroutines-android", version.ref = "coroutines" }
kotlin-coroutines-test = { module = "org.jetbrains.kotlinx:kotlinx-coroutines-test", version.ref = "coroutines" }

dokka = { module = "org.jetbrains.dokka:dokka-gradle-plugin", version.ref = "dokka" }

okhttp-okhttp = { module = "com.squareup.okhttp3:okhttp", version.ref = "okhttp" }
okhttp-mockWebServer = { module = "com.squareup.okhttp3:mockwebserver", version.ref = "okhttp" }

coil-coil = { module = "io.coil-kt:coil", version.ref = "coil" }
coil-gif = { module = "io.coil-kt:coil-gif", version.ref = "coil" }
coil-compose = { module = "io.coil-kt:coil-compose", version.ref = "coil" }

androidx-appcompat = "androidx.appcompat:appcompat:1.4.2"
androidx-core = "androidx.core:core-ktx:1.8.0"
androidx-activity-compose = "androidx.activity:activity-compose:1.7.2"
androidx-fragment = "androidx.fragment:fragment-ktx:1.5.1"
androidx-dynamicanimation = "androidx.dynamicanimation:dynamicanimation-ktx:1.0.0-alpha03"
androidx-lifecycle-runtime = "androidx.lifecycle:lifecycle-runtime-ktx:2.6.1"
androidx-lifecycle-viewmodel-compose = "androidx.lifecycle:lifecycle-viewmodel-compose:2.6.1"
androidx-lifecycle-common = "androidx.lifecycle:lifecycle-common-java8:2.6.1"
androidx-window = { module = "androidx.window:window", version.ref = "androidxWindow" }
androidx-window-testing = { module = "androidx.window:window-testing", version.ref = "androidxWindow" }

androidx-navigation-compose = { module = "androidx.navigation:navigation-compose", version.ref = "androidxnavigation" }
androidx-navigation-testing = { module = "androidx.navigation:navigation-testing", version.ref = "androidxnavigation" }

mdc = "com.google.android.material:material:1.8.0"

androidx-test-core = "androidx.test:core-ktx:1.5.0-alpha02"
androidx-test-runner = "androidx.test:runner:1.5.0-alpha04"
androidx-test-rules = { module = "androidx.test:rules", version.ref = "androidxtest" }
androidx-test-orchestrator = "androidx.test:orchestrator:1.4.1"
androidx-test-uiAutomator = "androidx.test.uiautomator:uiautomator:2.2.0"

# alpha for robolectric x compose fix
androidx-test-espressoCore = "androidx.test.espresso:espresso-core:3.5.1"
androidx-test-espressoWeb = "androidx.test.espresso:espresso-web:3.5.1"

junit = "junit:junit:4.13.2"
truth = "com.google.truth:truth:1.1.2"
robolectric = "org.robolectric:robolectric:4.9"

affectedmoduledetector = "com.dropbox.affectedmoduledetector:affectedmoduledetector:0.1.2"

android-tools-build-gradle = { module = "com.android.tools.build:gradle", version.ref = "gradlePlugin" }
android-tools-lint-lint = { module = "com.android.tools.lint:lint", version.ref = "lintMinCompose" }
android-tools-lint-api = { module = "com.android.tools.lint:lint-api", version.ref = "lintMinCompose" }
android-tools-lint-tests = { module = "com.android.tools.lint:lint-tests", version.ref = "lintMinCompose" }

squareup-mockwebserver = "com.squareup.okhttp3:mockwebserver:4.9.3"

[plugins]
android-application = { id = "com.android.application", version.ref = "gradlePlugin" }
android-kotlin = { id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }
android-library = { id = "com.android.library", version.ref = "gradlePlugin" }
android-lint = { id = "com.android.lint", version.ref = "androidlint"}
jetbrains-dokka = { id = "org.jetbrains.dokka", version.ref = "dokka" }
gradle-metalava = { id = "me.tylerbwong.gradle.metalava", version.ref = "metalava" }
vanniktech-maven-publish = { id = "com.vanniktech.maven.publish", version.ref = "vanniktechPublish" }
